### Virtual Method

# GUPnP Service query_variable

#### Declaration [src]

    void
    query_variable (
      GUPnPService* service,
      const char* variable,
      GValue* value
    )

#### Description [src]

Default handler for `GUPnPService::query-variable`. See its documentation for details.

Can be overridden by child classes instead of connecting to the signal.

#### Parameters

`variable` | `const char*`
| The name of the variable that was queried.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `GValue`
| A value that should be filled to the current value of `variable`.
| The data is owned by the caller of the function.